
Ruby - Feature #16484

Remove xmlrpc and net-telnet from bundled gems

01/06/2020 07:06 AM - hsbt (Hiroshi SHIBATA)

Status: Closed   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

Description

I added net-telnet(2015) and xmlrpc(2016) to bundled gems. They are the old protocol in 2020.

Should we remove them at Ruby 3.0?

The users can install them from rubygems manually.

Associated revisions

Revision 62baad9fe17077f8881e8512234cf55563aa9fca - 01/16/2020 07:56 AM - hsbt (Hiroshi SHIBATA)

Removed xmlrpc and net-telnet from the bundled gems.

[Feature #16484][ruby-core:96682]

Revision 62baad9fe17077f8881e8512234cf55563aa9fca - 01/16/2020 07:56 AM - hsbt (Hiroshi SHIBATA)

Removed xmlrpc and net-telnet from the bundled gems.

[Feature #16484][ruby-core:96682]

Revision 62baad9f - 01/16/2020 07:56 AM - hsbt (Hiroshi SHIBATA)

Removed xmlrpc and net-telnet from the bundled gems.

[Feature #16484][ruby-core:96682]

History

#1 - 01/06/2020 08:03 AM - shevegen (Robert A. Heiler)

I don't think I have used either one of them so I may not be the primary

target audience either way.

I only remember having used telnet in the 1990s to connect to oldschool

text MUDs.:D But I guess for ruby in general there is very little net

benefit; and since they are available as gems, I suppose it makes sense

to remove them from the core distribution, and offer them as gems to

those who need them (after all that has been one motivation for

gemifying ruby core releases, so the proposal makes sense to me).

#2 - 01/11/2020 11:33 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

#3 - 01/16/2020 07:57 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

Applied in changeset [ruby-core:96682]"

href="https://bugs.ruby-lang.org/projects/ruby-master/repository/git/revisions/62baad9fe17077f8881e8512234cf55563aa9fca">git|62baad9fe17077f88

81e8512234cf55563aa9fca.

Removed xmlrpc and net-telnet from the bundled gems.
